0

My document is compiling fine on Windows 10 with pdflatex by MikTeX 2.9 but when trying the same under Ubuntu I get this error:

(/usr/share/texmf/tex/latex/CJK/UTF8/UTF8.bdg)
(/usr/share/texmf/tex/latex/CJK/UTF8/UTF8.enc)
(/usr/share/texmf/tex/latex/CJK/UTF8/UTF8.chr)
! Undefined control sequence.
try@size@range ...extract@rangefontinfo font@info 
                                                  <-*>@nil <@nnil
l.81 ...t{Kakuremino} (\begin{CJK*}{UTF8}{song}か
                                                  くれみの\end{CJK*}) an...

?

These are the (I think) relevant snippets from my latex code:

\usepackage{CJKutf8}

...

The Japanese word for invisibility cloak would be \textit{Kakuremino}
(\begin{CJK*}{UTF8}{song}かくれみの\end{CJK*}) and...

These are the packages I installed so far:

biber (2.9-1)
cjk-latex (4.8.4+git20170127-2)
fonts-arphic-bkai00mp (2.10-17)
fonts-arphic-bsmi00lp (2.10-17)
fonts-arphic-gbsn00lp (2.11-15)
fonts-arphic-gkai00mp (2.11-15)
fonts-baekmuk (2.2-12)
fonts-ipaexfont (00301-4ubuntu1)
fonts-ipaexfont-gothic (00301-4ubuntu1)
fonts-ipaexfont-mincho (00301-4ubuntu1)
fonts-ipafont-gothic (00303-18ubuntu1)
fonts-ipafont-mincho (00303-18ubuntu1)
fonts-lato (2.0-2)
fonts-texgyre (20160520-1)
fonts-unfonts-core (1:1.0.2-080608-14)
fonts-unfonts-extra (1:1.0.2-080608+dfsg-8)
latex-cjk-all (4.8.4+git20170127-2)
latex-cjk-chinese (4.8.4+git20170127-2)
latex-cjk-chinese-arphic-bkai00mp (1.23)
latex-cjk-chinese-arphic-bsmi00lp (1.23)
latex-cjk-chinese-arphic-gbsn00lp (1.23)
latex-cjk-chinese-arphic-gkai00mp (1.23)
latex-cjk-common (4.8.4+git20170127-2)
latex-cjk-japanese (4.8.4+git20170127-2)
latex-cjk-japanese-wadalab (0.20050817-17)
latex-cjk-korean (4.8.4+git20170127-2)
latex-cjk-thai (4.8.4+git20170127-2)
libalgorithm-c3-perl (0.10-1)
libautovivification-perl (0.17-1build1)
libb-hooks-endofscope-perl (0.21-1)
libb-hooks-op-check-perl (0.22-1)
libbtparse1 (0.85-1)
libbusiness-isbn-data-perl (20140910.003-1)
libbusiness-isbn-perl (3.004-1)
libbusiness-ismn-perl (1.131-1)
libbusiness-issn-perl (1.002-1)
libclass-c3-perl (0.33-1)
libclass-c3-xs-perl (0.14-1build3)
libclass-data-inheritable-perl (0.08-2)
libclass-factory-util-perl (1.7-3)
libclass-inspector-perl (1.32-1)
libclass-method-modifiers-perl (2.12-1)
libclass-singleton-perl (1.5-1)
libdata-compare-perl (1.25-1)
libdata-optlist-perl (0.110-1)
libdata-uniqid-perl (0.12-1)
libdate-simple-perl (3.0300-1build4)
libdatetime-calendar-julian-perl (0.04-1)
libdatetime-format-builder-perl (0.8100-1)
libdatetime-format-strptime-perl (1.7500-1)
libdatetime-locale-perl (1:1.17-1)
libdatetime-perl (2:1.46-1)
libdatetime-timezone-perl (1:2.18-1+2018d)
libdevel-callchecker-perl (0.007-2build1)
libdevel-caller-perl (2.06-1build5)
libdevel-globaldestruction-perl (0.14-1)
libdevel-lexalias-perl (0.05-1build5)
libdevel-stacktrace-perl (2.0300-1)
libdist-checkconflicts-perl (0.11-1)
libdynaloader-functions-perl (0.003-1)
libemail-date-format-perl (1.005-1)
libencode-eucjpms-perl (0.07-3build5)
libencode-hanextra-perl (0.23-5)
libencode-jis2k-perl (0.03-1build3)
libeval-closure-perl (0.14-1)
libexception-class-perl (1.44-1)
libfile-find-rule-perl (0.34-1)
libfile-sharedir-perl (1.104-1)
libfile-slurper-perl (0.011-1)
libipc-run3-perl (0.048-1)
libipc-shareable-perl (0.61-2)
liblingua-translit-perl (0.28-1)
liblist-allutils-perl (0.14-1)
liblist-someutils-perl (0.56-1)
liblist-utilsby-perl (0.10-1)
liblog-dispatch-perl (2.67-1)
liblog-log4perl-perl (1.49-1)
libmail-sendmail-perl (0.80-1)
libmime-charset-perl (1.012.2-1)
libmime-lite-perl (3.030-2)
libmime-types-perl (2.14-1)
libmodule-implementation-perl (0.09-1)
libmodule-runtime-perl (0.016-1)
libmro-compat-perl (0.13-1)
libnamespace-autoclean-perl (0.28-1)
libnamespace-clean-perl (0.27-1)
libnumber-compare-perl (0.03-1)
libpackage-deprecationmanager-perl (0.17-1)
libpackage-stash-perl (0.37-1)
libpackage-stash-xs-perl (0.28-3build2)
libpadwalker-perl (2.3-1)
libparams-classify-perl (0.015-1)
libparams-util-perl (1.07-3build3)
libparams-validate-perl (1.29-1)
libparams-validationcompiler-perl (0.26-1)
libperlio-utf8-strict-perl (0.007-2)
libreadonly-perl (2.050-1)
libref-util-perl (0.203-1)
libref-util-xs-perl (0.116-1)
libregexp-common-perl (2017060201-1)
librole-tiny-perl (2.000006-1)
libruby2.5 (2.5.1-1ubuntu1.2)
libscalar-list-utils-perl (1:1.50-1)
libsombok3 (2.4.0-1)
libsort-key-perl (1.33-2)
libspecio-perl (0.42-1)
libsub-exporter-perl (0.987-1)
libsub-exporter-progressive-perl (0.001013-1)
libsub-identify-perl (0.14-1)
libsub-install-perl (0.928-1)
libsub-quote-perl (2.005000-1)
libsys-hostname-long-perl (1.5-1)
libtcl8.6 (8.6.8+dfsg-3)
libtext-bibtex-perl (0.85-1)
libtext-csv-perl (1.95-1)
libtext-csv-xs-perl (1.34-1)
libtext-glob-perl (0.10-1)
libtext-roman-perl (3.5-2)
libtie-cycle-perl (1.225-1)
libtk8.6 (8.6.8-4)
libunicode-collate-perl (1.25-1)
libunicode-linebreak-perl (0.0.20160702-1build2)
libvariable-magic-perl (0.62-1)
libxml-libxml-simple-perl (0.99-1)
libxml-libxslt-perl (1.95-1build2)
libxml-writer-perl (0.625-1)
preview-latex-style (11.91-1ubuntu1)
ps2eps (1.68+binaryfree-2)
rake (12.3.1-1)
ruby (1:2.5.1)
ruby-did-you-mean (1.2.0-2)
ruby-minitest (5.10.3-1)
ruby-net-telnet (0.1.1-2)
ruby-power-assert (0.3.0-1)
ruby-test-unit (3.2.5-1)
ruby2.5 (2.5.1-1ubuntu1.2)
rubygems-integration (1.11)
tcl (8.6.0+9)
tcl8.6 (8.6.8+dfsg-3)
tex-gyre (20160520-1)
texlive-bibtex-extra (2017.20180305-2)
texlive-font-utils (2017.20180305-2)
texlive-fonts-recommended (2017.20180305-1)
texlive-lang-chinese (2017.20180305-1)
texlive-lang-cjk (2017.20180305-1)
texlive-lang-japanese (2017.20180305-1)
texlive-lang-korean (2017.20180305-1)
texlive-lang-other (2017.20180305-1)
texlive-latex-base (2017.20180305-1)
texlive-latex-extra (2017.20180305-2)
texlive-latex-recommended (2017.20180305-1)
texlive-pictures (2017.20180305-1)
texlive-plain-generic (2017.20180305-2)
tipa (2:1.3-20)
tk (8.6.0+9)
tk8.6 (8.6.8-4)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.